import id from './_id';
import cmp from './_cmp';
/**
 * Finds last index of a value.
 * @param x an array
 * @param v search value
 * @param fc compare function (a, b)
 * @param fm map function (v, i, x)
 * @returns index of value, -1 if not found
 */
function searchValueRight(x, v, fc = null, fm = null) {
    var fc = fc || cmp, fm = fm || id;
    var v1 = fm(v, 0, null);
    for (var i = x.length - 1; i >= 0; i--) {
        var u1 = fm(x[i], i, x);
        if (fc(u1, v1) === 0)
            return i;
    }
    return -1;
}
export default searchValueRight;
//# sourceMappingURL=index.js.map